SRC=luarelease/src/

UNITS=$(SRC)\lapi.c $(SRC)\lcode.c $(SRC)\lctype.c $(SRC)\ldebug.c $(SRC)\ldo.c $(SRC)\ldump.c $(SRC)\lfunc.c $(SRC)\lgc.c $(SRC)\llex.c $(SRC)\lmem.c $(SRC)\lobject.c $(SRC)\lopcodes.c $(SRC)\lparser.c $(SRC)\lstate.c $(SRC)\lstring.c $(SRC)\ltable.c $(SRC)\ltm.c $(SRC)\lundump.c $(SRC)\lvm.c $(SRC)\lzio.c $(SRC)\lauxlib.c $(SRC)\lbaselib.c $(SRC)\lbitlib.c $(SRC)\lcorolib.c $(SRC)\ldblib.c $(SRC)\liolib.c $(SRC)\lmathlib.c $(SRC)\loadlib.c $(SRC)\loslib.c $(SRC)\lstrlib.c $(SRC)\ltablib.c $(SRC)\lutf8lib.c $(SRC)\linit.c

COMPILER=gcc

VERSION=53

DEFS= -DLUA_USE_MACOSX -std=gnu99  -O3  


IPHONE_SIMULATOR=-isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator.sdk -miphoneos-version-min=6.0

iossim:
	$(COMPILER) -m32 -DLUA_USE_MACOSX -shared $(IPHONE_SIMULATOR) $(UNITS) $(DEFS) -o compiled/iossim/liblua$(VERSION).dylib 

macos:
	$(COMPILER) -m32 -DLUA_USE_MACOSX -shared $(UNITS) $(DEFS) -o compiled/macos/liblua$(VERSION).dylib 
	
ios:	
	$(COMPILER) -arch armv7 -mcpu=cortex-a8 -marm -DUSE_MACOSX -static $(UNITS) $(DEFS) -o compiled/ios/liblua$(VERSION).a 
